<div class="container">
  <!--.......... title........ -->
  <div class="flex-title-container">
    <div class="flex-item-title">
      <h1 class="h4 text-gray-900 mb-4">{{ submitButton }} Client</h1>
    </div>
  </div>
  <form [formGroup]="clientForm">
    <fieldset>
      <legend>Basic Info</legend>

      <!--............... form 1st row input fields........ -->
      <div class="flex-container-row">
        <div class="flex-item-company_name">
          <label for="">Company Name</label><sup>*</sup>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="company_name" />

            <span class="error-msg" *ngIf="formErrors.company_name && submitted">{{ formErrors.company_name }}</span>
          </div>
        </div>

        <div class="flex-item-email">
          <label for="">Email</label>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="email" />

            <span class="error-msg" *ngIf="formErrors.email && submitted">{{
              formErrors.email
            }}</span>
          </div>
        </div>

        <div class="flex-item-date">
          <label for="">Date</label>
          <div class="form-group">
            <input bsDatepicker [bsConfig]="{ containerClass: 'theme-default' }" class="form-control"
              formControlName="date" />
          </div>
        </div>

        <div class="flex-item-telephone">
          <label for="">Telephone</label>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="telephone" />

            <span class="error-msg" *ngIf="formErrors.telephone && submitted">{{
              formErrors.telephone
            }}</span>
          </div>
        </div>
        <div class="flex-item-ext">
          <label for="">Ext.</label>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="ext" />
          </div>
        </div>
      </div>
      <!-- ...........form 2nd row input fields.........-->
      <div class="flex-container-row">
        <div class="flex-item-address1">
          <label for="">Address1</label>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="address1" />
          </div>
        </div>
        <div class="flex-item-address2">
          <label for="">Address2</label>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="address2" />
          </div>
        </div>

        <div class="flex-item-fax">
          <label for="">Fax</label>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="fax" />
          </div>
        </div>
      </div>
      <!-- ........form  3rd row input fields........... -->
      <div class="flex-container-row">
        <div class="flex-item-city">
          <label for="">City</label>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="city" />
          </div>
        </div>
        <div class="flex-item-state">
          <label for="">State</label><sup>*</sup>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="state" />

            <span class="error-msg" *ngIf="formErrors.state && submitted">{{
              formErrors.state
            }}</span>
          </div>
        </div>

        <div class="flex-item-zip">
          <label for="">Zip</label>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="zip" />
          </div>
        </div>
      </div>

      <!-- ....................fourth row............ -->
      <div class="flex-container-fourthrow" *ngIf="editMode">
        <div class="flex-item">
          <label for="">Status</label>
          <div class="form-group">
            <input type="text" class="form-control" formControlName="status" />
          </div>
        </div>
        <div class="flex-item">

          <div class="form-group">
            <div *ngIf="selectedClient?.logo && !url">
              <img src="{{ selectedClient.logo }}" height="200px" />
            </div>
            <img [src]="url" height="200" /> <br />
            <input id="chooseImg" type="file" (change)="onSelectFile($event)" />
            <span *ngIf="uploading">Uploading ...</span>

            <div *ngIf="clientForm.invalid && submitted">
              <span class="error-msg" *ngIf="logo?.errors?.invalidImageType">Invalid image type</span>
              <span class="error-msg" *ngIf="logo?.errors?.invalidImageSize">Image size should be less than 2MB</span>
            </div>

          </div>
        </div>
      </div>

      <!--..................... fifth row...................... -->
      <div class="flex-container-fourthrow">
        <div class="flex-item">
          <div class="form-group">
            <label for="branch">Branch</label>
            <select class="form-control" id="branch" formControlName="branch">
              <option>kathmandu</option>
              <option>pokhara</option>
              <option>Butwal</option>
              <option>dang</option>
              <option>Nepalgunj</option>
            </select>
          </div>
        </div>
        <div class="flex-item">
          <div class="form-group">
            <label for="location">Location</label>
            <select class="form-control" id="location" formControlName="location">
              <option>kathmandu</option>
              <option>pokhara</option>
              <option>Butwal</option>
              <option>dang</option>
              <option>Nepalgunj</option>
            </select>
          </div>
        </div>
      </div>
    </fieldset>
    <div *ngIf="!editMode">
      <fieldset>
        <legend>Api Information</legend>
        <div class="flex-container-row">
          <div class="flex-item-headquater" style="width: 400px;">
            <label for="">Headquater</label>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="headquater" />
            </div>
          </div>
        </div>
      </fieldset>
    </div>

    <div *ngIf="!editMode">
      <fieldset>
        <legend>Login Information</legend>
        <div class="flex-login-row">
          <div class="flex-item-username" style="width: 350px; margin-right: 10px;">
            <label for="">Username</label><sup>*</sup>
            <div class="form-group">
              <input type="text" class="form-control" formControlName="username" />

              <span class="error-msg" *ngIf="formErrors.username && submitted">{{ formErrors.username }}</span>
            </div>
          </div>

          <div class="flex-item-password" style="width: 350px; ">
            <label for="">Password</label><sup>*</sup>
            <div class="form-group">
              <input type="password" class="form-control" formControlName="password" />

              <span class="error-msg" *ngIf="formErrors.password && submitted">{{ formErrors.password }}</span>
            </div>
          </div>
        </div>
      </fieldset>
    </div>

    <!-- show only when edit mode is on -->
    <div *ngIf="editMode">
      <fieldset>
        <legend>Pay Type</legend>
        <i id="payAddIcon" class="fas fa-plus-circle" (click)="addPayTypeRow()"></i>
        <div formArrayName="payTypeFormArray" *ngFor="let detail of payTypeFormArrayData.controls; let i = index">
          <div [formGroupName]="i">
            <div class="flex-payType-row">
              <div class="flex-item-payType" style="width: 338px; margin-right: 10px;">
                <label [attr.for]="'payType' + i">Pay Type</label><sup>*</sup>
                <div class="form-group">
                  <select class="form-control" id="{{ payType + i }}" formControlName="payType">
                    <option>kathmandu</option>
                    <option>pokhara</option>
                    <option>Butwal</option>
                    <option>dang</option>
                    <option>Nepalgunj</option>
                  </select>

                  <span class="error-msg" *ngIf="detail.get('payType').errors?.required && submitted">Pay Type is
                    required</span>
                </div>
              </div>

              <div class="flex-item-multiplier" style="width: 338px; ">
                <label attr.for="'multiplier'+i">Multiplier</label><sup>*</sup>
                <div class="form-group">
                  <input type="text" class="form-control" id="{{ multiplier + i }}" formControlName="multiplier" />

                  <span class="error-msg" *ngIf="
                      detail.get('multiplier').errors?.required && submitted
                    ">Multiplier is required</span>
                </div>
              </div>
              <div class="flex-item-actionBtn" style="flex: 0 0 5%">
                <i class="fas fa-trash-alt mr-2 cursor-pointer" style="margin-top: 45px; float: right; "
                  (click)="deletePayTypeRow(i)"></i>
              </div>
            </div>
            <hr />
          </div>
        </div>
      </fieldset>
      <!--............. paytype division ends here............... -->

      <fieldset>
        <legend>Contact</legend>
        <i id="payAddIcon" class="fas fa-plus-circle" (click)="addContactRow()"></i>
        <div formArrayName="contactFormArray" *ngFor="let detail of contactFormArrayData.controls; let i = index">
          <div [formGroupName]="i">
            <div class="flex-contact-row">
              <div class="flex-item-title" style="width:180px;margin-right: 5px;">
                <label [attr.for]="'title' + i">Title</label><sup>*</sup>
                <div class="form-group">
                  <select class="form-control" id="{{ title + i }}" formControlName="title">
                    <option>kathmandu</option>
                    <option>pokhara</option>
                    <option>Butwal</option>
                    <option>dang</option>
                    <option>Nepalgunj</option>
                  </select>

                  <span class="error-msg" *ngIf="detail.get('title').errors?.required && submitted">Title is
                    required</span>
                </div>
              </div>
              <div class="flex-item-name" style="width: 200px; margin-right: 5px;">
                <label attr.for="'name'+i">Name</label><sup>*</sup>
                <div class="form-group">
                  <input type="text" class="form-control" id="{{ name + i }}" formControlName="name" />

                  <span class="error-msg" *ngIf="detail.get('name').errors?.required && submitted">
                    Name is required</span>
                </div>
              </div>
              <div class="flex-item-contactEmail" style="width: 200px; margin-right: 5px;">
                <label attr.for="'contactEmail'+i">Contact Email</label><sup>*</sup>
                <div class="form-group">
                  <input type="text" class="form-control" id="{{ contactEmail + i }}" formControlName="contactEmail" />

                  <span class="error-msg" *ngIf="
                      detail.get('contactEmail').errors?.required && submitted
                    ">Email is required</span>
                  <span class="error-msg" *ngIf="
                      detail.get('contactEmail').errors?.pattern && submitted
                    ">Email is invalid</span>
                </div>
              </div>
              <div class="flex-item-contactExt" style="width: 100px; margin-right: 5px;">
                <label attr.for="'contactExt'+i">Contact Ext</label><sup>*</sup>
                <div class="form-group">
                  <input type="text" class="form-control" id="{{ contactExt + i }}" formControlName="contactExt" />

                  <span class="error-msg" *ngIf="
                      detail.get('contactExt').errors?.required && submitted
                    ">Ext is required</span>
                </div>
              </div>
              <div class="flex-item-cellPhone" style="width: 160px; margin-right: 5px;">
                <label attr.for="'cellPhone'+i">Cell Phone</label><sup>*</sup>
                <div class="form-group">
                  <input type="text" class="form-control" id="{{ cellPhone + i }}" formControlName="cellPhone" />

                  <span class="error-msg" *ngIf="
                      detail.get('cellPhone').errors?.required && submitted
                    ">Cell Phone is required</span>
                  <span class="error-msg" *ngIf="detail.get('cellPhone').errors?.pattern && submitted">Cell Phone is
                    invalid</span>
                </div>
              </div>
              <div class="flex-item-emailReport" style="margin-right: 20px; ">
                <label [attr.for]="'emailReport' + i">Email Report</label>

                <input type="checkbox" class="form-check-input" id="{{ emailReport + i }}"
                  style="height: 20px;width:20px; margin-top: 40px; " formControlName="emailReport" />


              </div>

              <div class="flex-item-actionBtn">
                <i class="fas fa-trash-alt mr-2 cursor-pointer" style="margin-top: 40px;"
                  (click)="deleteContactRow(i)"></i>
              </div>
            </div>
            <hr />
          </div>
        </div>
      </fieldset>
    </div>

    <div class="mb-2">
      <button class="btn btn-primary mr-3" (click)="addClient()">
        {{ submitButton }}
      </button>

      <button class="btn btn-danger" (click)="onCancel()">
        Cancel
      </button>
    </div>
  </form>
</div>